Bug 808990 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000000000000d0
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:19783fc1b8effc7cd5e736762a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 03:27 EDT by Yann Droneaud
Modified: 2012-07-10 17:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 17:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yann Droneaud 2012-04-02 03:27:28 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-8.fc16.x86_64 root=/dev/mapper/vg_ssd-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_ssd/lv_root quiet LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 KEYTABLE=fr rd.lvm.lv=vg_ssd/lv_swap acpi_skip_timer_override
kernel:         3.3.0-8.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at 00000000000000d0
time:           lun. 02 avril 2012 09:19:55 CEST

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 00000000000000d0
:IP: [<ffffffff81518d73>] __ip_route_output_key+0x703/0x9f0
:PGD 0 
:Oops: 0000 [#1] SMP 
:CPU 0 
:Modules linked in: fuse ppdev parport_pc lp parport ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 ip6_tables nf_defrag_ipv4 xt_state nf_conntrack usblp joydev raid10 binfmt_misc snd_hda_codec_hdmi snd_hda_codec_realtek microcode sp5100_tco snd_hda_intel k10temp snd_hda_codec serio_raw i2c_piix4 snd_hwdep snd_seq edac_core vhost_net edac_mce_amd snd_seq_device macvtap macvlan tun virtio_net snd_pcm ib_qib kvm_amd snd_timer snd kvm r8169 ib_mad soundcore snd_page_alloc ib_core mii uinput sunrpc firewire_ohci ata_generic firewire_core pata_acpi crc_itu_t pata_atiixp wmi usb_storage radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 3269, comm: sendmail Not tainted 3.3.0-8.fc16.x86_64 #1 Gigabyte Technology Co., Ltd. GA-MA790X-UD4/GA-MA790X-UD4
:RIP: 0010:[<ffffffff81518d73>]  [<ffffffff81518d73>] __ip_route_output_key+0x703/0x9f0
:RSP: 0018:ffff880128be1da8  EFLAGS: 00010246
:RAX: 0000000000000000 RBX: ffff88010adda970 RCX: 0000000000000000
:RDX: 00000000017aa8c0 RSI: ffff880117ac2000 RDI: ffff880121ab6000
:RBP: ffff880128be1e38 R08: 0000000000000001 R09: 0000000000000000
:R10: ffff880123095480 R11: ffff880107e91b40 R12: 0000000000000000
:R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
:FS:  00007f4ad68ae7c0(0000) GS:ffff88012fc00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 00000000000000d0 CR3: 0000000102ef1000 CR4: 00000000000006f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process sendmail (pid: 3269, threadinfo ffff880128be0000, task ffff88009e48c590)
:Stack:
: 00000000fe07dd09 ffff88010adda680 b7da880128be1ed0 ffffffff81544440
: ffffffff81f74200 f1281bd40adda680 ffff880128be1e38 0000000000010000
: ffff880107e91b40 ffff880123095480 ffff880123307698 ffff880129693540
:Call Trace:
: [<ffffffff81544440>] ? udp_lib_lport_inuse+0xf0/0xf0
: [<ffffffff81542717>] ip4_datagram_connect+0x167/0x300
: [<ffffffff8154fca1>] inet_dgram_connect+0x31/0x90
: [<ffffffff814d156b>] sys_connect+0xeb/0x110
: [<ffffffff8117f98b>] ? fd_install+0x3b/0x70
: [<ffffffff810d347c>] ? __audit_syscall_entry+0xcc/0x310
: [<ffffffff810d3a96>] ? __audit_syscall_exit+0x3d6/0x410
: [<ffffffff814d0e40>] ? sys_socket+0x40/0x70
: [<ffffffff815fbca9>] system_call_fastpath+0x16/0x1b
:Code: 01 7e 08 3c 01 0f 84 d7 02 00 00 8b 53 14 85 d2 0f 84 aa 01 00 00 0f b6 45 a9 48 8d 04 c0 44 0f b6 45 aa 45 31 ff 4d 8b 64 c3 60 <41> 8b 84 24 d0 00 00 00 89 03 0f b6 c2 e9 a7 fa ff ff 31 d2 44 
:RIP  [<ffffffff81518d73>] __ip_route_output_key+0x703/0x9f0
: RSP <ffff880128be1da8>
:CR2: 00000000000000d0

smolt_data:
:
:
:Général
:=================================
:UUID: 14543e93-82cb-444f-a154-3694b1391bb7
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 6429.18
:Fabricant du processeurs: AuthenticAMD
:Modèle de processeur: AMD Phenom(tm) II X4 955 Processor
:Stepping du processeur: 2
:Famille de processeur: 16
:Modèle du processeur: 4
:Nombre de processeurs: 4
:Vitesse du processeur: 3200
:Mémoire du système: 3953
:Swap du système: 8191
:Fabricant: Gigabyte Technology Co., Ltd.
:Système: GA-MA790X-UD4 
:Type d'ordinateur: Desktop
:Noyau: 3.3.0-8.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:22911:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port F)
:(4098:43576:5218:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:22872:4098:22872) pci, None, HOST/PCI, RD780 Northbridge only dual slot PCI-e_GFX and HT1 K8 part
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, None, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4215:29474:4215:29474) pci, ib_qib, SERIAL, IBA7322 QDR InfiniBand HCA
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4098:22904:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port A)
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:40962) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:22905:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port B)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38223:5218:5650) pci, radeon, VIDEO, RV710 [Radeon HD 4350]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_ssd-lv_root / ext4 4096 4096 16748468 11609379 10770519 4194304 3845922 3845922
:/dev/sda2 /boot ext4 1024 1024 508745 410148 384548 128016 127784 127784
:/dev/mapper/vg_raid10-lv_home /home ext4 4096 4096 16748468 1142942 304082 4194304 3703265 3703265
:/dev/mapper/vg_raid10-lv_data WITHHELD ext4 4096 4096 191809088 93691199 84090995 48005120 45798350 45798350
:
Comment 1 Dave Jones 2012-04-02 13:05:01 EDT
was this after a hibernate ?
Comment 2 Yann Droneaud 2012-04-02 13:53:21 EDT
(In reply to comment #1)
> was this after a hibernate ?

Not at all.
But the computer was quite idle at the time it happen to Oops.
Comment 3 Dave Jones 2012-04-02 20:24:14 EDT
I'll get a kernel built with a patch to add some extra debugging for you in case you manage to reproduce this.

The process running was sendmail. Does this computer process a lot of mail ?
Comment 4 Dave Jones 2012-04-04 14:31:58 EDT
keep an eye on the logs in kernel-3.3.1-2.fc16
It should spit out some extra information if this situation occurs.
It won't print a backtrace any more, just a "ipv4: FIB_RES_DEV() is NULL" message, and some numbers.
Comment 5 I. Piasecki 2012-04-04 17:09:01 EDT
Sorry, but i haven't go any info about this - no messages at screen, i want only report: my Fedora 16 with kernel 3.3.0-8.fc16.x86_64 hangs after some time of idle. I can see only a black screen - nothing works. I must reset the whole machine.

Some isn't right with the kernel 3.3.0-8.fc16.x86_64 

Additional info: my GSM modem ICON 225 blinking, when machine hang - so it isn't connected any more - and was connected, when hang occur.
Comment 6 Dave Jones 2012-04-05 11:14:26 EDT
just to rule out hardware problems, could you do an overnight run of memtest86 ?
Comment 7 Yann Droneaud 2012-04-11 16:50:46 EDT
(In reply to comment #3)
> I'll get a kernel built with a patch to add some extra debugging for you in
> case you manage to reproduce this.
> 

I wasn't able to reproduce the problem.

> The process running was sendmail. Does this computer process a lot of mail ?

No, this is a desktop system. Sendmail is running only to be able to run git send-email.

(In reply to comment #6)
> just to rule out hardware problems, could you do an overnight run of memtest86
> ?

memtest86 was run for more than 12 hours without any problem.
Comment 8 Dave Jones 2012-07-10 17:25:36 EDT
unless this reoccurs, I don't think we can make progress.

we'll keep the debug patch applied for a while just in case it reappears.

Note You need to log in before you can comment on or make changes to this bug.